#############################################################################
# Makefile for building: LPditor
# Generated by qmake (2.00a) (Qt 4.0.0) on: Thu Aug 25 19:27:27 2005
# Project:  LPditor.pro
# Template: app
# Command: /home/agx/qt4/i686-pc-linux-gnu/bin/qmake -o Makefile LPditor.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -w -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -march=pentium4 -w -D_REENTRANT $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/home/agx/qt4/i686-pc-linux-gnu/mkspecs/default -I. -I../../../../agx/qt4/i686-pc-linux-gnu/include/QtGui -I../../../../agx/qt4/i686-pc-linux-gnu/include/QtCore -I../../../../agx/qt4/i686-pc-linux-gnu/include -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/agx/qt4/i686-pc-linux-gnu/lib
LIBS          = $(SUBLIBS) -L/home/agx/qt4/i686-pc-linux-gnu/lib -L/home/agx/tmp/qt-x11-opensource-desktop-4.0.0/lib -lQtGui -L/usr/X11R6/lib -lpng -lSM -lICE -lXi -lXrender -lXrandr -lXcursor -lXinerama -lfreetype -lfontconfig -lXext -lX11 -lm -lQtCore -lz -ldl -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/agx/qt4/i686-pc-linux-gnu/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = highlighter.cpp \
		main.cpp \
		mainwindow.cpp \
		options.cpp \
		resultviewer.cpp moc_highlighter.cpp \
		moc_mainwindow.cpp \
		moc_options.cpp \
		moc_resultviewer.cpp \
		qrc_LPditor.cpp
OBJECTS       = highlighter.o \
		main.o \
		mainwindow.o \
		options.o \
		resultviewer.o \
		moc_highlighter.o \
		moc_mainwindow.o \
		moc_options.o \
		moc_resultviewer.o \
		qrc_LPditor.o
DIST          = ../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/qconfig.pri \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/qt_config.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/exclusive_builds.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/default_pre.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/release.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/default_post.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/warn_off.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/qt.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/unix/thread.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/moc.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/resources.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/uic.prf \
		LPditor.pro
QMAKE_TARGET  = LPditor
DESTDIR       = 
TARGET        = LPditor

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: LPditor.pro  /home/agx/qt4/i686-pc-linux-gnu/mkspecs/default/qmake.conf ../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/qconfig.pri \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/qt_config.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/exclusive_builds.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/default_pre.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/release.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/default_post.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/warn_off.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/qt.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/unix/thread.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/moc.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/resources.prf \
		../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/uic.prf \
		/home/agx/qt4/i686-pc-linux-gnu/lib/libQtCore.prl \
		/home/agx/qt4/i686-pc-linux-gnu/lib/libQtGui.prl
	$(QMAKE) -o Makefile LPditor.pro
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/qconfig.pri:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/qt_config.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/exclusive_builds.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/default_pre.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/release.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/default_post.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/warn_off.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/qt.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/unix/thread.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/moc.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/resources.prf:
../../../../agx/qt4/i686-pc-linux-gnu/mkspecs/features/uic.prf:
/home/agx/qt4/i686-pc-linux-gnu/lib/libQtCore.prl:
/home/agx/qt4/i686-pc-linux-gnu/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile LPditor.pro

dist: 
	@$(CHK_DIR_EXISTS) ".tmp/LPditor1.0.0" || $(MKDIR) ".tmp/LPditor1.0.0"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/LPditor1.0.0/ && $(COPY_FILE) --parents highlighter.h mainwindow.h options.h resultviewer.h .tmp/LPditor1.0.0/ && $(COPY_FILE) --parents LPditor.qrc .tmp/LPditor1.0.0/ && $(COPY_FILE) --parents highlighter.cpp main.cpp mainwindow.cpp options.cpp resultviewer.cpp .tmp/LPditor1.0.0/ && (cd `dirname .tmp/LPditor1.0.0` && $(TAR) LPditor1.0.0.tar LPditor1.0.0 && $(COMPRESS) LPditor1.0.0.tar) && $(MOVE) `dirname .tmp/LPditor1.0.0`/LPditor1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/LPditor1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/home/agx/qt4/i686-pc-linux-gnu/bin/moc:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_highlighter.cpp moc_mainwindow.cpp moc_options.cpp moc_resultviewer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_highlighter.cpp moc_mainwindow.cpp moc_options.cpp moc_resultviewer.cpp
moc_highlighter.cpp: highlighter.h \
		../../../../agx/qt4/i686-pc-linux-gnu/bin/moc
	/home/agx/qt4/i686-pc-linux-gnu/bin/moc $(DEFINES) $(INCPATH) highlighter.h -o moc_highlighter.cpp

moc_mainwindow.cpp: highlighter.h \
		options.h \
		mainwindow.h \
		../../../../agx/qt4/i686-pc-linux-gnu/bin/moc
	/home/agx/qt4/i686-pc-linux-gnu/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_options.cpp: options.h \
		../../../../agx/qt4/i686-pc-linux-gnu/bin/moc
	/home/agx/qt4/i686-pc-linux-gnu/bin/moc $(DEFINES) $(INCPATH) options.h -o moc_options.cpp

moc_resultviewer.cpp: resultviewer.h \
		../../../../agx/qt4/i686-pc-linux-gnu/bin/moc
	/home/agx/qt4/i686-pc-linux-gnu/bin/moc $(DEFINES) $(INCPATH) resultviewer.h -o moc_resultviewer.cpp

compiler_rcc_make_all: qrc_LPditor.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_LPditor.cpp
qrc_LPditor.cpp: LPditor.qrc \
		../../../../agx/qt4/i686-pc-linux-gnu/bin/rcc \
		images/print.png \
		images/new.png \
		images/LPditor.png \
		images/copy.png \
		images/cut.png \
		images/save.png \
		images/redo.png \
		images/select.png \
		images/paste.png \
		images/undo.png \
		images/utils.png \
		images/run.png \
		images/open.png
	/home/agx/qt4/i686-pc-linux-gnu/bin/rcc -name LPditor LPditor.qrc -o qrc_LPditor.cpp

compiler_image_collection_make_all:
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

highlighter.o: highlighter.cpp highlighter.h

main.o: main.cpp mainwindow.h \
		highlighter.h \
		options.h

mainwindow.o: mainwindow.cpp mainwindow.h \
		highlighter.h \
		options.h

options.o: options.cpp options.h

resultviewer.o: resultviewer.cpp resultviewer.h

moc_highlighter.o: moc_highlighter.cpp 

moc_mainwindow.o: moc_mainwindow.cpp 

moc_options.o: moc_options.cpp 

moc_resultviewer.o: moc_resultviewer.cpp 

qrc_LPditor.o: qrc_LPditor.cpp 

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

